<?php
namespace SabaiApps\Directories\Component\Notification\Controller\Admin;

use SabaiApps\Directories\Context;

class EditNotification extends AddNotification {

	protected function _doGetFormSettings( Context $context, array &$formStorage ) {
		// Highlight row on success
		$this->_ajaxOnSuccessEdit = '.drts-notification-admin-notifications tr[data-row-id=\'' . $context->notification->id . '\'] td';

		return parent::_doGetFormSettings( $context, $formStorage );
	}

	protected function _getNotification( Context $context ) {
		return $context->notification;
	}
}
